Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::ColourInterpolatorAffector::CmdColourAdjust Class Reference

Command object for red adjust (see ParamCommand). More...

`#include <OgreColourInterpolatorAffector.h>`

Inheritance diagram for Ogre::ColourInterpolatorAffector::CmdColourAdjust:

[legend]
List of all members.

## Public Methods

String | doGet (const void *target) const
void | doSet (void *target, const String &val)

## Public Attributes

size_t | mIndex

## Detailed Description

Command object for red adjust (see ParamCommand).

Definition at line 46 of file OgreColourInterpolatorAffector.h.

## Member Function Documentation

String Ogre::ColourInterpolatorAffector::CmdColourAdjust::doGet | ( | const void * | target | ) | const`[virtual]`

| Implements Ogre::ParamCommand. Definition at line 141 of file OgreColourInterpolatorAffector.cpp. References Ogre::ColourInterpolatorAffector::getColourAdjust(), mIndex, and Ogre::String.

void Ogre::ColourInterpolatorAffector::CmdColourAdjust::doSet | ( | void * | target,
|  | const String & | val
| ) | `[virtual]`

| Implements Ogre::ParamCommand. Definition at line 146 of file OgreColourInterpolatorAffector.cpp. References mIndex, and Ogre::String.

## Member Data Documentation

size_t Ogre::ColourInterpolatorAffector::CmdColourAdjust::mIndex

| Definition at line 49 of file OgreColourInterpolatorAffector.h. Referenced by Ogre::ColourInterpolatorAffector::ColourInterpolatorAffector(), doGet(), and doSet().

The documentation for this class was generated from the following files:

- OgreColourInterpolatorAffector.h
- OgreColourInterpolatorAffector.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:49:49 2004